cgD3D9EnableDebugTracing(3)

NAME
cgD3D9EnableDebugTracing - enable or disable debug output

SYNOPSIS
  #include <Cg/cgD3D9.h>
  void cgD3D9EnableDebugTracing( CGbool enable );

PARAMETERS

enable
    A boolean switch which controls debugging output by the library.

RETURN VALUES
None.

DESCRIPTION
cgD3D9EnableDebugTracing enables or disables debug output for an application when using the debug DLL.

If an error callback is registered, breakpoints can be set for Debug DLL debug traces by testing the result of cgGetError for cgD3D9DebugTrace. Breakpoints can be set for D3D errors by testing for cgD3D9Failed and using cgD3D9GetLastError to determine the particular D3D error that occurred.

EXAMPLES
  cgD3D9EnableDebugTracing(CG_TRUE);
  // use code to be debugged
  ...
  cgD3D9EnableDebugTracing(CG_FALSE);

ERRORS
None.

HISTORY
cgD3D9EnableDebugTracing was introduced in Cg 1.1.

SEE ALSO
cgSetErrorCallback, cgGetError, cgD3D9GetLastError